Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Sitecore Personalizeと共に開発
    • ベースURL
    • 応答コード
        • つながりを作る
        • 回収接続
        • 接続を取得
        • 接続の更新
        • 接続のテスト
  1. REST APIつながり
  1. Sitecore Personalize developer documentation
  2. REST API

接続のテスト

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

POST /v2/connections/testConnection

接続をテストします。

リクエスト文には以下の必要な属性を記載する必要があります:

  • 属性
  • connection

curl -X POST '/v2/connections/testConnection' \ -H 'Authorization: Bearer ' \ -H 'Accept: application/json' \ --data-raw ' { "connection": { "clientKey": "pqsDATA3lw12v5a9rrHPW1c4hET73GxQ", "href": "/v2/connections/ab5fc100-a0d2-49a0-87d9-1d4219a5d0a2", "ref": "ab5fc100-a0d2-49a0-87d9-1d4219a5d0a2", "name": "Promo Offer to Email Push and notif and SMS", "description": "Omnichannel publishing", "modifiedByRef": "343982bb-40e4-4119-bfab-144f65fb496c", "modifiedAt": "2026-09-14T20:`17

`.737Z", "revision": 1, "archived": false, "auth": { "authType": "NONE" }, "request": { "requestType": "POST", "connectionUrl": "/workflows/45aea1bb3c2845e8b4043e209c4456c2/triggers/manual/paths/invoke", "requestBody": "{\n \"guest_sms\" : \"{sms}\",\n \"x-brand-color\" : \"black\"\n}" }, "inputMappings": , "outputMappings": { "label": "response", "outputReference": "message", "type": "String" } , "customHeaders": { "name": "Accept", "value": "application/json" }, { "name": "Accept-Encoding", "value": "gzip" }, { "name": "Content-Type", "value": "application/json" }, { "name": "X-Brand-Color", "value": "{color-name-or-hex}" }, { "name": "X-Guest-SMS", "value": "{sms}" } , "urlParameters": , "systemType": "DESTINATION", "connectionTimeout": 10000, "socketTimeout": 1000, "icon": "fad fa-sms" } }'

{ "statusCode": 202, "executionTimeInMilliseconds": 351, "request": { "headers": { "X-Brand-Color": "{color-name-or-hex}", "Accept": "application/json", "X-Correlation-Id": "0b79f2c2-2001-4131-80d2-df3936e19e78", "X-Guest-SMS": "{sms}", "Accept-Encoding": "gzip", "Content-Type": "application/json" } }, "response": { "body": { "message": "cannot handle current output" } }, "mappingResult": { "message": "cannot handle current output" }, "connectionUrl": "/workflows/45aea1bb3c2845e8b4043e209c4456c2/triggers/manual/paths/invoke" }

この記事を改善するための提案がある場合は、 お知らせください!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal